=== debian/changelog ===
libjpeg-turbo (1.3.0-4) unstable; urgency=low

  * debian/rules:
    + Override dh_strip and build individual dbg bin:packages
      for the shared library and the test program.
  * debian/control:
    + Add dbg bin:packages.
    + Alioth-canonicalize Vcs-*: fields.
    + Drop dependency from bin:package libturbojpeg1: libc-dev.
    + EOL clean-up (whitespaces, commas).
    + Modify section of bin:package libjpeg-turbo-test: utils.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 15 Mar 2014 00:19:42 +0100

libjpeg-turbo (1.3.0-3) unstable; urgency=low

  * debian/patches: (Closes: #729873)
    + Add patch 004_CVE-2013-6629.patch. Check for duplications in
      jdmarker.c (CVE-2013-6629).
    + Add patch 005_CVE-2013-6630.patch: Properly clear out memory in
      jdmarker.c. (CVE-2013-6630).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 14 Mar 2014 18:56:25 +0100

libjpeg-turbo (1.3.0-2) unstable; urgency=low

  * Add patch: 003_ftbfs-kfreebsd-x64.patch. Fix FTBFS on kfreebsd-amd64
    systems by using ELF64 as object format. (Closes: #710749).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 04 Jun 2013 21:38:42 +0200

libjpeg-turbo (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * /debian/control:
    + B-D: nasm [any-amd64 any-i386]. Fix FTBFS on hurd and kFreeBSD. (Closes:
      #710566).
  * Lintian issues:
    + Adapt shlib-calls-exit lintian override to new upstream version.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 01 Jun 2013 01:25:00 +0200

libjpeg-turbo (1.2.90-2) unstable; urgency=low

  * /debian/control:
    + Do not ship the libjpeg8 compat packages (libjpeg8-turbo,
      libjpeg8-turbo-dev, libjpeg-turbo-progs). Only ship the
      files needed for applications building against the native
      TURBOjpeg ABI.
    + The libturbojpeg1(-dev) package conflict with libjpeg-turbo8(-dev)
      as found in Ubuntu.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 24 Mar 2013 12:53:01 +0100

libjpeg-turbo (1.2.90-1) UNRELEASED; urgency=low

  [ Osamu Aoki ]
  * New upstream version. Closes: #612341
  * Merge package based on Ubuntu and Fathi Boudra.

  [ Mike Gabriel ]
  * /debian/control:
    + Set maintainer to: Debian TigerVNC Packaging Team
      <pkg-tigervnc-devel@lists.alioth.debian.org>.
    + Raise Standards: version to 3.9.4 (after several changes, as described
      below).
    + Build-depend on debhelper (>= 9).
    + Fully re-arrange the bin:package naming scheme.
    + Hard-coded unversioned dependecy on libc6 for libjpeg-turbo-progs.
    + Hard-coded versioned dependency on libjpeg8-turbo for libjpeg-turbo-progs.
  * /debian/copyright:
    + License change for packaging files: BSD-3. Agreed upon by all copyright
      holders (see backlog of #612341).
    + Add TigerVNC Packaging Team to copyright holders of /debian/*.
    + Mention files in debian/extras/* separately in license file.
  * /debian/rules:
    + Change over to building libjpeg8-turbo (as opposed to libjpeg-turbo62
      in early versions of this src:package).
    + Enable unit tests during package build. Clean up test images during
      dh_auto_clean.
    + Provide a symlink (libjpeg.so.8.99.0) with libjpeg8-turbo that reliably
      (almost) always supersedes any IJG libjpeg.so.8.x.y version. This will
      trick SO_NAME symlinking of ldconfig in case the version of our
      libjpeg.so.8.x.y is lower than the version number of IJG's
      libjpeg.so.8.x.y (in the native libjpeg8 package).
    + Harden build of jpegexiforient in /debian/extra/.
  * /debian/patches:
    + Add patch: 001_versioned-libjpegturbo.patch. Adds versioned .so file
      support for libturbojpeg.so.
    + Add patch: 002_test-progs.patch. Install test programmes to debian/tmp/*.
  * Lintian overrides:
    + Add override for: libjpeg8-turbo: shlib-calls-exit
      usr/lib/x86_64-linux-gnu/libjpeg.so.8.0.2. Can be ignored as explained by
      upstream.
    + Add override for: libturbojpeg1: shlib-calls-exit
      usr/lib/x86_64-linux-gnu/libturbojpeg.so.1.2.90. Can be ignored as
      explained by upstream.
    + Add override for: libjpeg-turbo-test: binary-without-manpage
      usr/bin/tjunittest. No man page provided by upstream and only useful
      for package maintainers.
    + Add override for: libjpeg-turbo source: package-depends-on-hardcoded-libc
      libjpeg-turbo-progs depends. The generation of shlibs dependencies fail
      for bin:package libjpeg-turbo-progs. The result would be a versioned
      dependency on libjpeg8 (>= 8d) which is inappropriate for the
      libjpeg-turbo-progs package. The libjpeg-turbo-progs bin:package should be
      used with bin:package libjpeg8-turbo instead.
  * Dpkg diversions:
    + Rework all dpkg diversions, do not divert into subfolders anymore
    + Use dpkg-divert for libjpeg8-turbo-dev, as well (was: Conflicts:/Replaces:
      before).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 24 Mar 2013 10:50:07 +0100

libjpeg-turbo (1.1.90+svn704-1) UNRELEASED; urgency=low

  * Initial release (Closes: #612341)

 -- Fathi Boudra <fabo@debian.org>  Sat, 17 Sep 2011 12:51:45 +0300

libjpeg-turbo (1.1.90+svn733-1) UNRELEASED; urgency=low

  * Initial Debian version.

 -- Osamu Aoki <osamu@debian.org>  Sat, 26 May 2012 23:08:16 +0900
