=== debian/control ===
Source: libjpeg-turbo
Priority: optional
Section: graphics
Maintainer: Debian TigerVNC Packaging Team <pkg-tigervnc-devel@lists.alioth.debian.org>
Uploaders:
 Fathi Boudra <fabo@debian.org>,
 Osamu Aoki <osamu@debian.org>,
 Tom Gall <tom.gall@linaro.org>,
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 nasm [any-amd64 any-i386],
Standards-Version: 3.9.5
Homepage: http://www.libjpeg-turbo.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/libjpeg-turbo.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libjpeg-turbo.git

Package: libturbojpeg1
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Replaces:
 libturbojpeg,
Conflicts:
 libturbojpeg,
 libjpeg-turbo8,
Provides:
 libturbojpeg,
Description: TurboJPEG runtime library - SIMD optimized
 This library is based on libjpeg-turbo and not on the IJG JPEG.
 .
 This package provides the runtime library of libjpeg-turbo only. Installing
 this package does _not_ replace files provided by Independent JPEG Group.
 .
 This package contains the libturbojpeg.so.1 library, used by
 TigerVNC and other users of the past TurboJPEG library.

Package: libturbojpeg1-dbg
Architecture: any
Priority: extra
Multi-Arch: same
Section: debug
Depends:
  ${misc:Depends},
  libturbojpeg1 (= ${binary:Version}),
Breaks:
  libtubrojpeg1 (<= 1.3.0-3),
Description: TurboJPEG runtime library - SIMD optimized (debugging symbols)
 This library is based on libjpeg-turbo and not on the IJG JPEG.
 .
 This package provides the runtime library of libjpeg-turbo only. Installing
 this package does _not_ replace files provided by Independent JPEG Group.
 .
 This package contains debugging symbols of the libturbojpeg.so.1 library.

Package: libturbojpeg1-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libturbojpeg1 (= ${binary:Version}),
 ${misc:Depends},
Replaces:
 libturbojpeg-dev,
Conflicts:
 libturbojpeg-dev,
 libjpeg-turbo8-dev,
Provides:
 libturbojpeg-dev,
Description: Development files for the turbo JPEG library
 This library is based on libjpeg-turbo and not on the IJG JPEG.
 .
 This package provides the runtime library of libjpeg-turbo only. Installing
 this package does _not_ replace files provided by Independent JPEG Group.
 .
 This package contains the static library, headers and documentation for
 the libjpegturbo.so.1 library.

Package: libjpeg-turbo-test
Architecture: any
Priority: extra
Section: utils
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Program for testing libjpeg-turbo
 This package contains tjunittest which tests
 the basic functionality of the library and
 data files for performing those tests.

Package: libjpeg-turbo-test-dbg
Architecture: any
Priority: extra
Section: debug
Depends:
 ${misc:Depends},
 libjpeg-turbo-test (= ${binary:Version}),
Breaks: libjpeg-turbo-test (<= 1.3.0-3),
Description: Program for testing libjpeg-turbo (debugging symbols)
 This package contains tjunittest which tests
 the basic functionality of the library and
 data files for performing those tests.
 .
 This package contains the debugging symbols for the libjpeg-turbo
 test program.
