## libjpeg-turbo 1.3.1

=== debian/changelog ===
libjpeg-turbo (1:1.3.1-12+deb8u2) jessie-security; urgency=high

  * CVE-2018-14498: Fix a denial of service vulnerability via a heap-based
    buffer overread that could be triggered by a specially-crafted bitmap
    file. (Closes: #924678)

 -- Chris Lamb <lamby@debian.org>  Mon, 18 Mar 2019 14:45:00 -0400

libjpeg-turbo (1:1.3.1-12+deb8u1) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * CVE-2018-11212: Check image size when reading targa file. Throw an
    error when image width or height is 0.
  * CVE-2018-11213, CVE-2018-11214: Check range of integer values in PPM
    text file. Add checks to ensure values are within the specified range.
    (This in theory also fixes unimportant-to-Debian issue CVE-2016-3616).
  * CVE-2018-1152: tjLoadImage(): Fix FPE triggered by malformed BMP.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Jan 2019 20:46:50 +0100

libjpeg-turbo (1:1.3.1-12) unstable; urgency=medium

  * No change upload to bump version in unstable

 -- Ondřej Surý <ondrej@debian.org>  Sun, 08 Mar 2015 18:57:07 +0100

libjpeg-turbo (1:1.3.1-11) unstable; urgency=medium

  * Cleanup the list of maintainers and uploaders
  * [CVE-2014-9092]: Fix a Huffman local buffer overrun

 -- Ondřej Surý <ondrej@debian.org>  Wed, 26 Nov 2014 11:00:17 +0100

libjpeg-turbo (1:1.3.1-10) unstable; urgency=medium

  * Drop extra and conflicting Provides (Closes: #766347)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 22 Oct 2014 15:13:59 +0200

libjpeg-turbo (1:1.3.1-9) unstable; urgency=medium

  * Fix multiarch library path in libjpeg.pc.in (Closes: #766002)
  * Drop dummy transitional libjpeg62{,-dev,-dbg} packages
  * Remove epoch from the libjpeg62-turbo.symbols file

 -- Ondřej Surý <ondrej@debian.org>  Mon, 20 Oct 2014 10:37:23 +0200

libjpeg-turbo (1:1.3.1-8) unstable; urgency=medium

  * Fix the *.symbols file

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 Oct 2014 14:19:01 +0200

libjpeg-turbo (1:1.3.1-7) unstable; urgency=medium

  * Rename libjpeg62{,-dev,-dbg} to libjpeg62-turbo{,-dev,-dbg}
    (Closes: #763360)
  * Provide dummy libjpeg62{,-dev,-dbg} package to allow smooth
    transition; those packages will be removed as soon as the transition
    is over
  * Add custom pkgconfig for libjpeg (Closes: #764900)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 Oct 2014 01:23:44 +0200

libjpeg-turbo (1:1.3.1-6) unstable; urgency=medium

  * Changes Breaks: libjpeg-progs to Conflicts: libjpeg-progs and drop
    Replaces: libjpeg-progs (Closes: #764322)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 Oct 2014 10:03:41 +0200

libjpeg-turbo (1:1.3.1-5) unstable; urgency=medium

  * Fix typo in description and other fixes (Closes: #763414, #763415)
  * Build without SIMD on x32 (Closes: #764170)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 06 Oct 2014 12:24:41 +0200

libjpeg-turbo (1:1.3.1-4) unstable; urgency=medium

  * Remove dummy libjpeg-progs from libjpeg-turbo
  * Fix invalid epoch in Conflicts field of libjpeg-dev

 -- Ondřej Surý <ondrej@debian.org>  Mon, 29 Sep 2014 21:09:17 +0200

libjpeg-turbo (1:1.3.1-3) unstable; urgency=medium

  * Upload to unstable to proceed with transition (Ref: #754988)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 26 Sep 2014 14:34:39 +0200

libjpeg-turbo (1:1.3.1-2) experimental; urgency=high

  * Add correct Breaks/Replaces: libjpeg-progs (<< 1.3.1-1~) to
    libjpeg-turbo-progs (Closes: #757860)
  * Build with -ffloat-store to fix FTBFS (Closes: #755073)
  * Disable silent building

 -- Ondřej Surý <ondrej@debian.org>  Tue, 26 Aug 2014 12:39:52 +0200

libjpeg-turbo (1:1.3.1-1) experimental; urgency=medium

  * Upload to experimental in preparation for libjpeg-turbo default JPEG
    library switch
  * Bump epoch to 1: to smoothly replace libjpeg62 binaries
  * New upstream version 1.3.1
  * Add myself to uploaders
  * Enable --fail-missing and --parallel in dh invocation
  * debian/patches/003_ftbfs-kfreebsd-x64.patch: Remove, merged upstream
  * debian/patches/004_CVE-2013-6629.patch: Remove; merged upstream
  * debian/patches/005_CVE-2013-6630.patch: Remove; merged upstream
  * Add libjpeg62* packages, add libjpeg-turbo-progs package
    (Closes: #728983, #632869, #632949)
  * Add exifautotran and jpegexiforient.c from Ubuntu to complete
    jpeg-progs compatibility
  * Add tjbench to libjpeg-turbo-progs
  * Remove libjpeg-turbo-test* package that is useful only at compile time
  * Remove CC and CFLAGS from debian/extra/Makefile and also pass CPPFLAGS
    and LFLAGS to enable Hardening in jpegexiforient
  * Don't install turbojpeg.h into libjpeg62-dev
  * Remove the word 'transitional' from libjpeg-progs description
  * Fix debhelper-but-no-misc-depends libjpeg-dev
  * Install help2man+manual fixes tjbench.1 manual page
  * Add missing source for jquery 1.7.1
  * d/copyright: Add jquery.js license and cleanup cruft
  * Add symbols file for libjpeg62

 -- Ondřej Surý <ondrej@debian.org>  Tue, 22 Jul 2014 01:05:35 +0200
