=== debian/control ===
Source: libjpeg-turbo
Priority: optional
Section: graphics
Maintainer: Ondřej Surý <ondrej@debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>
Build-Depends: debhelper (>= 9),
	       dh-autoreconf,
	       nasm [any-amd64 any-i386],
Standards-Version: 3.9.6
Homepage: http://www.libjpeg-turbo.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/libjpeg-turbo.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libjpeg-turbo.git

Package: libjpeg-dev
Architecture: all
Section: libdevel
Depends: libjpeg62-turbo-dev (>= ${source:Version}),
 	 ${misc:Depends}
Conflicts: libjpeg62-dev,
	   libjpeg7-dev,
	   libjpeg8-dev,
	   libjpeg9-dev
Description: Development files for the JPEG library [dummy package]
 This package depends on default Debian implementation of
 libjpeg.so.62 JPEG library.

Package: libjpeg62-turbo-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libc-dev,
	 libjpeg62-turbo (= ${binary:Version}),
	 ${misc:Depends}
Conflicts: libjpeg62-dev,
	   libjpeg7-dev,
	   libjpeg8-dev,
	   libjpeg9-dev
Replaces: libjpeg62-dev,
	  libjpeg7-dev,
	  libjpeg8-dev,
	  libjpeg9-dev
Provides: libjpeg-dev
Description: Development files for the libjpeg-turbo JPEG library
 The libjpeg-turbo JPEG library is a library for handling JPEG files.
 .
 libjpeg-turbo is a JPEG image codec that uses SIMD instructions (MMX,
 SSE2, NEON) to accelerate baseline JPEG compression and decompression
 on x86, x86-64, and ARM systems.  The libjpeg-turbo JPEG library is
 an API/ABI compatible with the IJG JPEG library.
 .
 This package contains the static library, headers and documentation.

Package: libjpeg62-turbo
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
	 ${shlibs:Depends}
Conflicts: libjpeg62
Replaces: libjpeg62
Provides: libjpeg62
Description: libjpeg-turbo JPEG runtime library
 The libjpeg-turbo JPEG library is a library for handling JPEG files.
 .
 libjpeg-turbo is a JPEG image codec that uses SIMD instructions (MMX,
 SSE2, NEON) to accelerate baseline JPEG compression and decompression
 on x86, x86-64, and ARM systems.  The libjpeg-turbo JPEG library is
 an API/ABI compatible with the IJG JPEG library.
 .
 This package contains the shared runtime library.

Package: libjpeg62-turbo-dbg
Architecture: any
Section: debug
Priority: extra
Multi-Arch: same
Depends: libjpeg62-turbo (= ${binary:Version}),
	 ${misc:Depends}
Conflicts: libjpeg62-dbg
Replaces: libjpeg62-dbg
Description: Debugging symbols for the libjpeg-turbo JPEG library
 The libjpeg-turbo JPEG library is a library for handling JPEG files.
 .
 libjpeg-turbo is a JPEG image codec that uses SIMD instructions (MMX,
 SSE2, NEON) to accelerate baseline JPEG compression and decompression
 on x86, x86-64, and ARM systems.  The libjpeg-turbo JPEG library is
 an API/ABI compatible with the IJG JPEG library.
 .
 This package contains the debugging symbols.

Package: libturbojpeg1
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Replaces: libturbojpeg
Conflicts: libturbojpeg,
	   libjpeg-turbo8
Description: TurboJPEG runtime library - SIMD optimized
 The libjpeg-turbo JPEG library is a library for handling JPEG files.
 .
 libjpeg-turbo is a JPEG image codec that uses SIMD instructions (MMX,
 SSE2, NEON) to accelerate baseline JPEG compression and decompression
 on x86, x86-64, and ARM systems.
 .
 This package contains the TurboJPEG shared runtime library.

Package: libturbojpeg1-dbg
Architecture: any
Priority: extra
Multi-Arch: same
Section: debug
Depends: ${misc:Depends},
	 libturbojpeg1 (= ${binary:Version}),
Breaks: libturbojpeg1 (<= 1.3.0-3),
Description: TurboJPEG runtime library - SIMD optimized (debugging symbols)
 The libjpeg-turbo JPEG library is a library for handling JPEG files.
 .
 libjpeg-turbo is a JPEG image codec that uses SIMD instructions (MMX,
 SSE2, NEON) to accelerate baseline JPEG compression and decompression
 on x86, x86-64, and ARM systems.
 .
 This package contains debugging symbols for the TurboJPEG library.

Package: libturbojpeg1-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libturbojpeg1 (= ${binary:Version}),
	 ${misc:Depends},
Replaces: libturbojpeg-dev,
Conflicts: libturbojpeg-dev,
	   libjpeg-turbo8-dev,
Provides: libturbojpeg-dev
Description: Development files for the TurboJPEG library
 The libjpeg-turbo JPEG library is a library for handling JPEG files.
 .
 libjpeg-turbo is a JPEG image codec that uses SIMD instructions (MMX,
 SSE2, NEON) to accelerate baseline JPEG compression and decompression
 on x86, x86-64, and ARM systems.
 .
 This package contains the static library, headers and documentation for
 the TurboJPEG library.

Package: libjpeg-turbo-progs
Architecture: any
Depends: ${misc:Depends},
	 ${shlibs:Depends}
Conflicts: libjpeg-progs
Replaces: libjpeg-progs
Provides: libjpeg-progs
Description: Programs for manipulating JPEG files
 This package contains programs for manipulating JPEG files from the
 libjpeg-turbo JPEG library:
  * cjpeg/djpeg: convert to/from the JPEG file format
  * rdjpgcom/wrjpgcom: read/write comments in JPEG files
  * jpegtran: lossless transformations of JPEG files
  * jpegexiforient/exifautotran: manipulate EXIF orientation tag
  * tjbench: a simple JPEG benchmarking tool

Package: libjpeg-turbo-progs-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${misc:Depends},
	 libjpeg-turbo-progs (= ${binary:Version})
Description: Programs for manipulating JPEG files (debugging symbols)
 This package contains debugging symbols for programs for manipulating
 JPEG files from the libjpeg-turbo JPEG library:
  * cjpeg/djpeg: convert to/from the JPEG file format
  * rdjpgcom/wrjpgcom: read/write comments in JPEG files
  * jpegtran: lossless transformations of JPEG files
  * jpegexiforient/exifautotran: manipulate EXIF orientation tag
  * tjbench: a simple JPEG benchmarking tool
