## libjpeg-turbo 1.4.2

=== debian/changelog ===
libjpeg-turbo (1.4.2-0ubuntu3) xenial; urgency=medium

  * libjpeg8-turbo-dev: Install an libjpeg pkgconfig file.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2016 15:52:51 +0100

libjpeg-turbo (1.4.2-0ubuntu2) xenial; urgency=medium

  * libjpeg-turbo-progs: Conflict with libjpeg-progs. LP: #1518035, #1532581.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Jan 2016 13:10:10 +0100

libjpeg-turbo (1.4.2-0ubuntu1) xenial; urgency=medium

  * New upstream version.
  * Keep the Ubuntu packaging.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jan 2016 17:40:46 +0100

libjpeg-turbo (1.3.0-0ubuntu2) trusty; urgency=low

  * SECURITY UPDATE: information disclosure via uninitialized memory in
    the get_sos function (LP: #1252912)
    - debian/patches/CVE-2013-6629.patch: check for duplications in
      jdmarker.c.
    - CVE-2013-6629
  * SECURITY UPDATE: information disclosure via uninitialized memory in
    the get_dht function (LP: #1252912)
    - debian/patches/CVE-2013-6630.patch: properly clear out memory in
      jdmarker.c.
    - CVE-2013-6630

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 19 Dec 2013 15:07:26 -0500

libjpeg-turbo (1.3.0-0ubuntu1) saucy; urgency=low

  * New upstream release.
    - drop debian/patches/branch-updates.diff
    - refresh tjunittest.patch (now renamed to install-tjunittest.patch)
  * Update debian/control:
    - add myself to Uploaders.
  * Update debian/copyright:
    - add RSA Data Security copyright (md5).
  * Update debian/libturbojpeg.install:
    - install libturbojpeg.so.0* (needed by tjunittest and tjbench).

 -- Fathi Boudra <fathi.boudra@linaro.org>  Sun, 28 Jul 2013 16:52:51 +0300
